Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.shrinkwrap.descriptor.impl.jboss51
Class Jboss51DescriptorImplTestCase

    java.lang.Object
      org.jboss.shrinkwrap.descriptor.impl.jboss51.Jboss51DescriptorImplTestCase

    public class Jboss51DescriptorImplTestCase

extends java.lang.Object

Constructor Summary
`Jboss51DescriptorImplTestCase()`

Method Summary
`void` | `testAssemblyDescriptor()`
`void` | `testDescription()`
`void` | `testDisplayName()`
`void` | `testEnterpriseBeans()`
`void` | `testIcon()`
`void` | `testJaccContextId()`
`void` | `testJmxName()`
`void` | `testJndiBindingPolicy()`
`void` | `testLoaderRepository()`
`void` | `testMetadataComplete()`
`void` | `testMissingMethodPermissionsExcludedMode()`
`void` | `testResourceManagers()`
`void` | `testSecurityDomain()`
`void` | `testUnauthenticatedPrincipal()`
`void` | `testVersion()`
`void` | `testWebservices()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Jboss51DescriptorImplTestCase

    public Jboss51DescriptorImplTestCase()

Method Detail

### testLoaderRepository

    public void testLoaderRepository()
                              throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testJmxName

    public void testJmxName()
                     throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testSecurityDomain

    public void testSecurityDomain()
                            throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testMissingMethodPermissionsExcludedMode

    public void testMissingMethodPermissionsExcludedMode()
                                                  throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testUnauthenticatedPrincipal

    public void testUnauthenticatedPrincipal()
                                      throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testJndiBindingPolicy

    public void testJndiBindingPolicy()
                               throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testJaccContextId

    public void testJaccContextId()
                           throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testWebservices

    public void testWebservices()
                         throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testEnterpriseBeans

    public void testEnterpriseBeans()
                             throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testAssemblyDescriptor

    public void testAssemblyDescriptor()
                                throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testResourceManagers

    public void testResourceManagers()
                              throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testVersion

    public void testVersion()
                     throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testMetadataComplete

    public void testMetadataComplete()
                              throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testDescription

    public void testDescription()
                         throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testDisplayName

    public void testDisplayName()
                         throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testIcon

    public void testIcon()
                  throws java.lang.Exception

  Throws:
    `java.lang.Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD